Subject: Re: [sfc] Proposed additional text for section 3.4 of draft-ietf-sfc-nsh-10

From: Nilanjan Sarkar <[email-masked]>
Date: Thu, 27 Oct 2016 04:26:25 +0000

In my opinion, can NSH base header indicate mandatory processing of metadata field ? If there is a flag to indicate mandatory processing vs optional then dropping the packet at SF will be valid in case metadata schema not known.

Also I think metadata type 1 must contains indication of schema of context data.  Either the list of possible schemes can be configured at SFs statically or dynamically and indication at metadata can help SF to decode accordingly.

Nilanjan
(sent from a phone)

On 27 Oct 2016 12:49 a.m., "Jim Guichard (jguichar)" <[email-masked]> wrote:
Dear SFC WG:

One further point for discussion.

In the first sentence, would it not be more accurate to say “but the NSH base header does not convey that semantic…” rather than “but the NSH header does not convey that semantic in the context headers”.. The reason I ask this is two-fold; 1. The NSH base specification does not define the type-1 metadata but leaves it as opaque for specification elsewhere, and 2. The third sentence says "This specification does not make any assumption about the content placed in the mandatory context header”.

Jim

From: sfc <[email-masked]<mailto:[email-masked]>> on behalf of Jim Guichard <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, October 26, 2016 at 8:28 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [sfc] Proposed additional text for section 3.4 of draft-ietf-sfc-nsh-10

Dear SFC WG:

The following text has been proposed by Med and Lucy as an addition to section 3.4 of draft-ietf-sfc-nsh:

"This specification allows defining different semantics of metadata type 1 related mandatory context header, but the NSH header does not convey that semantic in the context headers. An SFC-aware SF MUST receive the data extraction schema first in order to get the data placed in the mandatory context header. How an SFC-aware SF gets the data extraction schema for the mandatory context header is outside the scope of this specification. This specification does not make any assumption about the content placed in the mandatory context header. Upon receiving an SFC packet with metadata type 1 present, if an SFC-aware SF is configured to use metadata but does not yet receive the data extraction schema for the mandatory context header, it MUST NOT process the packet and MUST log this error."

Before asking the editors of the document to make this change, I would like to hear opinions from other WG members so that consensus for this change may be reached. I would particularly like to hear opinions on the last sentence; specifically the ‘MUST NOT process’ as this implies that an SF must drop a packet if it is unable to process the metadata thereby breaking the chain. Do we need to be this strict or can we simply log an error and forward the packet through the chain?

Jim